NPM-EDIT(1)

NAME
npm-edit

Synopsis
<!-- AUTOGENERATED USAGE DESCRIPTIONS -->

Note: This command is unaware of workspaces.

Description

Selects a dependency in the current project and opens the package folder in
the default editor (or whatever you've configured as the npm editor
config -- see `npm-config` (npm-config). )

After it has been edited, the package is rebuilt so as to pick up any
changes in compiled packages.

For instance, you can do npm install connect to install connect
into your package, and then npm edit connect to make a few
changes to your locally installed copy.

Configuration
<!-- AUTOGENERATED CONFIG DESCRIPTIONS -->

See Also

    •   npm folders

    •   npm explore

    •   npm install

    •   npm config

    •   npmrc